Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy
Class GroovyBugError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.AssertionError
                  org.codehaus.groovy.GroovyBugError

All Implemented Interfaces:
  Serializable

    public class GroovyBugError
    extends AssertionError

This class represents an error that is thrown when a bug is recognized inside the runtime. Basically it is thrown when a constraint is not fullfilled that should be fullfiled.

Author:
  Jochen Theodorou
See Also:
  Serialized Form

Constructor Summary
Constructor and Description
`GroovyBugError(Exception exception)` Constructs a bug error using the given exception
`GroovyBugError(String message)` constructs a bug error using the given text
`GroovyBugError(String msg, Exception exception)` Constructs a bug error using the given exception and a text with additional information about the cause

Method Summary
Modifier and Type | Method and Description
--- | ---
`String` | `getBugText()` Returns the bug text to describe this error
`Throwable` | `getCause()`
`String` | `getMessage()` Returns the detail message string of this error.
`void` | `setBugText(String msg)` Sets the bug text to describe this error
`String` | `toString()` Returns a String representation of this class by calling `getMessage()`.

Methods inherited from class java.lang.Throwable
`addSuppressedException, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroovyBugError

    public GroovyBugError(String message)

  constructs a bug error using the given text

  Parameters:
    `message` - the error message text

### GroovyBugError

    public GroovyBugError(Exception exception)

  Constructs a bug error using the given exception

  Parameters:
    `exception` - cause of this error

### GroovyBugError

    public GroovyBugError(String msg,
                          Exception exception)

  Constructs a bug error using the given exception and a text with additional information about the cause

  Parameters:
    `msg` - additional information about this error
    `exception` - cause of this error

Method Detail

### toString

    public String toString()

  Returns a String representation of this class by calling `getMessage()`.

  Overrides:
    `toString` in class `Throwable`
  See Also:
    `getMessage()`

### getMessage

    public String getMessage()

  Returns the detail message string of this error. The message will consist of the bug text prefixed by "BUG! " if there this isntance was created using a message. If this error was constructed without using a bug text the message of the cause is used prefixed by "BUG! UNCAUGHT EXCEPTION: "

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the detail message string of this error.

### getCause

    public Throwable getCause()

  Overrides:
    `getCause` in class `Throwable`

### getBugText

    public String getBugText()

  Returns the bug text to describe this error

### setBugText

    public void setBugText(String msg)

  Sets the bug text to describe this error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD